Package org.apache.commons.lang3

## Class ClassLoaderUtils

- java.lang.Object
- - org.apache.commons.lang3.ClassLoaderUtils

    public class ClassLoaderUtils
    extends java.lang.Object

Helps work with `ClassLoader`.

Since:
  3.10

### Constructor Summary

Constructors
`ClassLoaderUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `toString​(java.lang.ClassLoader classLoader)` Converts the given class loader to a String calling `toString(URLClassLoader)`.
`static java.lang.String` `toString​(java.net.URLClassLoader classLoader)` Converts the given URLClassLoader to a String in the format `"URLClassLoader.toString() + [URL1, URL2, ...]"`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassLoaderUtils

    public ClassLoaderUtils()

### Method Detail

#### toString

    public static java.lang.String toString​(java.lang.ClassLoader classLoader)

Converts the given class loader to a String calling `toString(URLClassLoader)`.

Parameters:
  `classLoader` - to URLClassLoader to convert.
Returns:
  the formatted string.

#### toString

    public static java.lang.String toString​(java.net.URLClassLoader classLoader)

Converts the given URLClassLoader to a String in the format `"URLClassLoader.toString() + [URL1, URL2, ...]"`.

Parameters:
  `classLoader` - to URLClassLoader to convert.
Returns:
  the formatted string.